## openkim-models 2021.08.11

=== CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2019--2020, Regents of the University of Minnesota.
# All rights reserved.
#


cmake_minimum_required(VERSION 3.10)
project(openkim-models LANGUAGES NONE)
enable_testing()

file(GLOB MD "${CMAKE_SOURCE_DIR}/model-drivers/*")
foreach(item ${MD})
  add_subdirectory(${item})
endforeach()

file(GLOB MO "${CMAKE_SOURCE_DIR}/portable-models/*")
foreach(item ${MO})
  add_subdirectory(${item})
endforeach()

file(GLOB SM "${CMAKE_SOURCE_DIR}/simulator-models/*")
foreach(item ${SM})
  add_subdirectory(${item})
endforeach()

=== blas/CMakeLists.txt ===

project(EigenBlas CXX)

include("../cmake/language_support.cmake")

workaround_9220(Fortran EIGEN_Fortran_COMPILER_WORKS)

if(EIGEN_Fortran_COMPILER_WORKS)
  enable_language(Fortran OPTIONAL)
  if(NOT CMAKE_Fortran_COMPILER)
    set(EIGEN_Fortran_COMPILER_WORKS OFF)
  endif()
endif()

add_custom_target(blas)

set(EigenBlas_SRCS  single.cpp double.cpp complex_single.cpp complex_double.cpp xerbla.cpp
                    f2c/srotm.c   f2c/srotmg.c  f2c/drotm.c f2c/drotmg.c
                    f2c/lsame.c   f2c/dspmv.c   f2c/ssbmv.c f2c/chbmv.c
                    f2c/sspmv.c   f2c/zhbmv.c   f2c/chpmv.c f2c/dsbmv.c
                    f2c/zhpmv.c   f2c/dtbmv.c   f2c/stbmv.c f2c/ctbmv.c
                    f2c/ztbmv.c   f2c/d_cnjg.c  f2c/r_cnjg.c
   )

if (EIGEN_Fortran_COMPILER_WORKS)
  set(EigenBlas_SRCS ${EigenBlas_SRCS} fortran/complexdots.f)
else()
  set(EigenBlas_SRCS ${EigenBlas_SRCS} f2c/complexdots.c)
endif()

add_library(eigen_blas_static ${EigenBlas_SRCS})
add_library(eigen_blas SHARED ${EigenBlas_SRCS})

if(EIGEN_STANDARD_LIBRARIES_TO_LINK_TO)
  target_link_libraries(eigen_blas_static ${EIGEN_STANDARD_LIBRARIES_TO_LINK_TO})
  target_link_libraries(eigen_blas        ${EIGEN_STANDARD_LIBRARIES_TO_LINK_TO})
endif()

add_dependencies(blas eigen_blas eigen_blas_static)

install(TARGETS eigen_blas eigen_blas_static
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

if(EIGEN_Fortran_COMPILER_WORKS)

if(BUILD_TESTING)
  if(EIGEN_LEAVE_TEST_IN_ALL_TARGET)
    add_subdirectory(testing) # can't do EXCLUDE_FROM_ALL here, breaks CTest
  else()
    add_subdirectory(testing EXCLUDE_FROM_ALL)
  endif()
endif()

endif()

=== model-drivers/DUNN__MD_292677547454_000/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2019, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Mingjian Wen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

# Extract Eigen library
execute_process(COMMAND tar xJf ${PROJECT_SOURCE_DIR}/eigen-v3.3.7.tar.xz -C ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_CXX_STANDARD 11) # Eigen requires C++11

set(MODEL_DRIVER_NAME "DUNN__MD_292677547454_000")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  ANN.cpp
  ANNImplementation.cpp
  helper.cpp
  descriptor.cpp
  network.cpp
  )

# Eigen library v3.3.7
target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/eigen-v3.3.7)

=== model-drivers/EAM_CubicNaturalSpline__MD_853402641673_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2018, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Stephen M. Whalen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EAM_CubicNaturalSpline__MD_853402641673_002")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

configure_file(EAM_CubicNaturalSpline.hpp EAM_Spline.hpp COPYONLY)

target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  EAM.cpp
  EAM_Implementation.cpp
  EAM_CubicNaturalSpline.cpp
  )

=== model-drivers/EAM_Dynamo__MD_120291908751_005/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2018, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Stephen M. Whalen
#

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

set(MODEL_DRIVER_NAME "EAM_Dynamo__MD_120291908751_005")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

configure_file(EAM_DynamoCubicHermiteSpline.hpp EAM_Spline.hpp COPYONLY)

target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  EAM.cpp
  EAM_Implementation.cpp
  EAM_DynamoCubicHermiteSpline.cpp
  )

=== model-drivers/EAM_IMD__MD_113599595631_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#

#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

set(MODEL_DRIVER_NAME "EAM_IMD__MD_113599595631_003")
set(MODEL_DRIVER_SOURCE_NAME "EAM_IMD")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/EAM_Magnetic2GQuintic__MD_543355979582_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2012, Regents of the University of Minnesota.  All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EAM_Magnetic2GQuintic__MD_543355979582_002")
set(MODEL_DRIVER_SOURCE_NAME "EAM_Magnetic2GQuintic")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== model-drivers/EAM_QuinticClampedSpline__MD_532469991695_003/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013--2018, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Stephen M. Whalen
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EAM_QuinticClampedSpline__MD_532469991695_003")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

configure_file(EAM_QuinticClampedSpline.hpp EAM_Spline.hpp COPYONLY)

target_include_directories(${MODEL_DRIVER_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  EAM.cpp
  EAM_Implementation.cpp
  EAM_QuinticClampedSpline.cpp
  )

=== model-drivers/EDIP__MD_506186535567_002/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#
#

#
# Author: Daniel S. Karls (implementation adapted from Martin Z. Bazant's original code)
#
# Copyright (c) 2012-2018, Regents of the University of Minnesota.  All rights reserved.
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "EDIP__MD_506186535567_002")
set(MODEL_DRIVER_SOURCE_NAME "EDIP")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "c"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.c)

=== model-drivers/EMT_Asap__MD_128315414717_004/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (C) 2018-2019 Jakob Schiotz and the Department of Physics,
# Technical University of Denmark.  Email: schiotz@fysik.dtu.dk
#
# Contributors:
#    Jakob Schiotz
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble

set(MODEL_DRIVER_NAME "EMT_Asap__MD_128315414717_004")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "model_driver_create"
  CREATE_ROUTINE_LANGUAGE "cpp"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE
  AsapObject.cpp
  EMT.cpp
  EMTDefaultParameterProvider.cpp
  Exception.cpp
  KimAtoms.cpp
  KimNeighborLocator.cpp
  KimParameterProvider.cpp
  Matrix3x3.cpp
  NeighborCellLocator.cpp
  NeighborLocatorInterface.cpp
  Potential.cpp
  Timing.cpp
  Vec.cpp
  asap_emt_driver.cpp
  asap_kim_api.cpp
)

=== model-drivers/LJ_Shifted__MD_498634107543_004/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "LJ_Shifted__MD_498634107543_004")
set(MODEL_DRIVER_SOURCE_NAME "LJ_Shifted")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== model-drivers/LJ_Truncated__MD_132729421025_001/CMakeLists.txt ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the Common Development
# and Distribution License Version 1.0 (the "License").
#
# You can obtain a copy of the license at
# http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
# specific language governing permissions and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each file and
# include the License file in a prominent location with the name LICENSE.CDDL.
# If applicable, add the following below this CDDL HEADER, with the fields
# enclosed by brackets "[]" replaced with your own identifying information:
#
# Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
#
# CDDL HEADER END
#

#
# Copyright (c) 2013, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Ryan S. Elliott
#    Ellad B. Tadmor
#    Valeriu Smirichinski
#


#
# Required preamble
#

cmake_minimum_required(VERSION 3.4)

list(APPEND CMAKE_PREFIX_PATH $ENV{KIM_API_CMAKE_PREFIX_DIR})
find_package(KIM-API 2.0 REQUIRED CONFIG)
if(NOT TARGET kim-api)
  enable_testing()
  project("${KIM_API_PROJECT_NAME}" VERSION "${KIM_API_VERSION}"
    LANGUAGES CXX C Fortran)
endif()

# End preamble


set(MODEL_DRIVER_NAME "LJ_Truncated__MD_132729421025_001")
set(MODEL_DRIVER_SOURCE_NAME "LJ_Truncated")

add_kim_api_model_driver_library(
  NAME                    ${MODEL_DRIVER_NAME}
  CREATE_ROUTINE_NAME     "create"
  CREATE_ROUTINE_LANGUAGE "fortran"
  )

target_sources(${MODEL_DRIVER_NAME} PRIVATE ${MODEL_DRIVER_SOURCE_NAME}.f90)

=== debian/changelog ===
openkim-models (1:2021.08.11-4) unstable; urgency=medium

  * [5ee6fe4] Increase minimal cmake version. (Closes: #1113358)
  * [0de5dde] Reformat debian/control lists

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Oct 2025 11:46:38 +0200

openkim-models (1:2021.08.11-3) unstable; urgency=medium

  * [c50c609] feat: Add C++ and Fortran tests, update cluster test.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Aug 2025 21:11:50 +0200

openkim-models (1:2021.08.11-2) unstable; urgency=medium

  * [9a3c275] test: Remove unused test cases
  * Override library-not-linked-against-libc for kim-api plugin modules.

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Aug 2025 20:58:55 +0200

openkim-models (1:2021.08.11-1) unstable; urgency=medium

  * Upload into unstable. (Closes: #1108000)

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Aug 2025 08:49:17 +0200

openkim-models (1:2021.08.11-1~exp2) experimental; urgency=medium

  * [a3d85fd] chore: debian: Add dh-sequence-movetousr

 -- Anton Gladky <gladk@debian.org>  Wed, 25 Jun 2025 21:52:02 +0200

openkim-models (1:2021.08.11-1~exp1) experimental; urgency=medium

  * [60ee0f6] Allow reprotest to fail
  * [d707005] New upstream version 2021.08.11
  * [ab2efc2] chore: Update Standards-Version to 4.7.2
  * [c30a7dd] fix: Bump libkim-api-dev dependency to >= 2.4.1

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Jun 2025 07:02:20 +0200

=== debian/control ===
Source: openkim-models
Standards-Version: 4.7.2
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 cmake,
 libkim-api-dev (>= 2.4.1),
 debhelper-compat (= 13),
 dh-sequence-movetousr,
 gfortran,
 xxd,
Vcs-Browser: https://salsa.debian.org/science-team/openkim-models
Vcs-Git: https://salsa.debian.org/science-team/openkim-models.git
Homepage: https://openkim.org

Package: openkim-models
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 libkim-api-v2-models,
Replaces:
 libkim-api-v2-models,
Description: Models and model-drivers for KIM-API
 The KIM API is an Application Programming Interface for atomistic simulations.
 The API provides a standard for exchanging information between atomistic
 simulation codes (molecular dynamics, molecular statics, lattice dynamics,
 Monte Carlo, etc.) and interatomic models (potentials or force fields).
 It also includes a set of library routines for using the API with
 bindings for:
 .
 FORTRAN 77, Fortran 90/95, Fortran 2003
 C, C++
 .
 Atomistic simulation codes that support the KIM API work seamlessly with the
 KIM-compliant interatomic models (KIM Models) distributed on this website.
 The interface is computationally efficient and often requires relatively minor
 changes to existing codes.
 .
 This package contains models and model-drivers for KIM-API

=== debian/tests/control ===
Tests: cluster cluster-cpp cluster-fortran
Depends: libkim-api-dev, libkim-api-doc, openkim-models, build-essential, cmake, gfortran, xxd

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://s3.openkim.org/archives/collection/openkim-models-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
